﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Collections.Generic;
using System.Web.UI;

namespace ContainerManager
{
    public class StateBagHistoryManager<U> : StoreHistroyManager<U>
    {
        public StateBagHistoryManager() { }
        public StateBagHistoryManager(object cache)
        {
            _storage = cache;
        }

        #region ICollectionHistroy<U> 成员

        public override void Add(string key, IList<U> u)
        {
            (_storage as StateBag).Add(key, u);
        }

        public override IList<U> Histroy(string key)
        {
            StateBag cache = _storage as StateBag;
            return cache[key] == null ? new List<U>() : cache[key] as List<U>;
        }

        public override bool ContainsKey(string key)
        {
            return (_storage as StateBag)[key] != null;
        }

        public override void Remove(string key)
        {
            (_storage as StateBag).Remove(key);
        }

        #endregion
    }
}
