﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ContainerManager
{
    public abstract class StoreHistroyManager<U> : ICollectionHistroy<U>
    {
        public StoreHistroyManager() { }
        public StoreHistroyManager(object storage)
        {
            Storage = storage;
        }
        protected object _storage;
        public object Storage
        {
            set { _storage = value; }
        }

        public abstract void Add(string key, IList<U> u);
        public abstract IList<U> Histroy(string key);
        public abstract bool ContainsKey(string key);
        public abstract void Remove(string key);
    }
}
